KateCmdShellCompletion Class Reference

`#include <katecmd.h>`

Inheritance diagram for KateCmdShellCompletion:

## Public Member Functions

QString | makeCompletion (const QString &text)
Public Member Functions inherited from KCompletion
QStringList | substringCompletion (const QString &string) const
QString | previousMatch ()
QString | nextMatch ()
virtual const QString & | lastMatch () const
QStringList | items () const
bool | isEmpty () const
virtual void | setCompletionMode (KGlobalSettings::Completion mode)
KGlobalSettings::Completion | completionMode () const
virtual void | setOrder (CompOrder order)
CompOrder | order () const
virtual void | setIgnoreCase (bool ignoreCase)
bool | ignoreCase () const
QStringList | allMatches ()
QStringList | allMatches (const QString &string)
KCompletionMatches | allWeightedMatches ()
KCompletionMatches | allWeightedMatches (const QString &string)
virtual void | setEnableSounds (bool enable)
bool | isSoundsEnabled () const
bool | hasMultipleMatches () const
void | enableSounds ()
void | disableSounds ()

## Protected Member Functions

void | postProcessMatch (QString *match) const
void | postProcessMatches (QStringList *matches) const
void | postProcessMatches (KCompletionMatches *matches) const

## Additional Inherited Members

Public Types inherited from KCompletion
enum | CompOrder
Public Slots inherited from KCompletion
void | slotMakeCompletion (const QString &string)
void | slotPreviousMatch ()
void | slotNextMatch ()
void | insertItems (const QStringList &items)
virtual void | setItems (const QStringList &list)
void | addItem (const QString &item)
void | addItem (const QString &item, uint weight)
void | removeItem (const QString &item)
virtual void | clear ()
Signals inherited from KCompletion
void | match (const QString &item)
void | matches (const QStringList &matchlist)
void | multipleMatches ()

## Detailed Description

A KCompletion object that completes last ?unquoted? word in the string passed.

Dont mistake "shell" for anything related to quoting, this simply mimics shell tab completion by completing the last word in the provided text.

Definition at line 61 of file katecmd.h.

## Member Function Documentation

QString KateCmdShellCompletion::makeCompletion | ( | const QString & | text | ) |

virtual

Finds completions to the given text.

The first match is returned and emitted in the signal match().

Parameters

  text | the text to complete

Returns
  the first match, or QString::null if not found

Reimplemented from KCompletion.

Definition at line 134 of file katecmd.cpp.

The documentation for this class was generated from the following files:

- katecmd.h
- katecmd.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys